
Name:          maven-jaxb2-plugin
Version:       0.8.0
Release:       %mkrel 0
Summary:       Maven JAXB 2.x Plugin
Group:         Development/Java
License:       BSD-Style
Url:           http://java.net/projects/maven-jaxb2-plugin/pages/Home/
# svn export https://svn.java.net/svn/maven-jaxb2-plugin~svn/tags/0.8.0/ maven-jaxb2-plugin-0.8.0
# tar czf maven-jaxb2-plugin-0.8.0-src-svn.tar.gz maven-jaxb2-plugin-0.8.0
Source0:       maven-jaxb2-plugin-0.8.0-src-svn.tar.gz

Patch0:        maven-jaxb2-plugin-0.8.0-xml-commons-resolver.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: apache-commons-logging
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: servletapi5
BuildRequires: xml-commons-resolver

BuildRequires: maven
BuildRequires: maven-anno-mojo
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-release-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-logging
Requires:      glassfish-jaxb
Requires:      liblog4j-java
Requires:      xml-commons-resolver

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven2 plugin for JAXB 2.x XJC compiler to generate Java sources from XML Schemas.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-jaxb2-plugin-%{version}

find \( -name '*.jar' -o -name '*.class' -o -name '*.bat' \) -exec rm -f '{}' \;
# replace com.sun.org.apache.xml.internal resolver 20050927 with xml-commons-resolver
%patch0 -p1

# maven-release-plugin
sed -i "s|<version>2.1</version>|<version>2.0</version>|" pom.xml

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
mkdir -p %{buildroot}%{_javadir}
install -pm 644 plugin/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 plugin-2.0/target/maven-jaxb20-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-jaxb20-plugin.jar
install -pm 644 plugin-2.1/target/maven-jaxb21-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-jaxb21-plugin.jar
install -pm 644 plugin-2.2/target/maven-jaxb22-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-jaxb22-plugin.jar
install -pm 644 plugin-core/target/%{name}-core-%{version}.jar %{buildroot}%{_javadir}/%{name}-core.jar
install -pm 644 testing/target/%{name}-testing-%{version}.jar %{buildroot}%{_javadir}/%{name}-testing.jar

# POM
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 plugin-2.0/pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-jaxb20-plugin.pom
%add_maven_depmap JPP-maven-jaxb20-plugin.pom maven-jaxb20-plugin.jar
install -pm 644 plugin-2.1/pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-jaxb21-plugin.pom
%add_maven_depmap JPP-maven-jaxb21-plugin.pom maven-jaxb21-plugin.jar
install -pm 644 plugin-2.2/pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-jaxb22-plugin.pom
%add_maven_depmap JPP-maven-jaxb22-plugin.pom maven-jaxb22-plugin.jar
install -pm 644 plugin-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar
install -pm 644 testing/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-testing.pom
%add_maven_depmap JPP-%{name}-testing.pom %{name}-testing.jar

# APIDOCS
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-core.jar
%{_javadir}/%{name}-testing.jar
%{_javadir}/%{name}.jar
%{_javadir}/maven-jaxb20-plugin.jar
%{_javadir}/maven-jaxb21-plugin.jar
%{_javadir}/maven-jaxb22-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Dec 02 2011 gil <gil> 0.8.0-0.mga2
+ Revision: 175134
- imported package maven-jaxb2-plugin

